Application: gvSIG desktop - gvSIG bugs #4791
No se cargan las nativas de los plugins instalados en la carpeta de usuario
01/17/2018 12:31 PM - Cesar Martinez lzquierdo

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquin del Cerro Murciano

Category:

Target version: 2.4.0-2847 (rev. org.gvsig.deskiop-2.0.216)

Severity: Major Add-on version:

gvSIG version: 2.4.0 Add-on build:

gvSIG build: Add-on resolve version:
Operative System: Windows Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

En Windows, si se instala un plugin mientras se ejecuta gvSIG con privilegios normales (no como superusuario), el plugin se instala
en la carpeta del usuario (HOMEPATH\gvSIG\installation\gvSIG\extensiones). En esta situacion, si el plugin tiene nativas, éstas
aparentemente no se cargan.

En cambio, si el plugin se instala en la carpeta de Archivos de Programa (para ello hay que lanzar gvSIG como superusuario), las
nativas se cargan correctamente.

Associated revisions

Revision 43723 - 01/18/2018 03:02 PM - Joaquin del Cerro Murciano

refs #4791, modificado el gvSIG.sh para que se ejecute el autorun de los plugins instalados en el home del usuario.

History

#1-01/17/2018 12:34 PM - Cesar Martinez lzquierdo

- File gvSIG-launcher-correcto.log added

- File gvSIG-environ.info added

- File gvSIG-correcto.log added

- File gvSIG-nativas-spatialite-no-cargadas.log added

- File gvSIG-launcher-nativas-spatialite-no-cargadas.log added

#2 - 01/18/2018 03:02 PM - Joaquin del Cerro Murciano

- Target version set to 2.4.0-2847 (rev. org.gvsig.desktop-2.0.216)
- Assignee set to Joaquin del Cerro Murciano

- Status changed from New to Fixed

#3 - 01/30/2018 09:16 AM - Alvaro Anguix
- Status changed from Fixed to Closed

Files

gvSIG-launcher-nativas-spatialite-no-cargadas.log 49.4 KB 01/17/2018 Cesar Martinez Izquierdo
gvSIG-nativas-spatialite-no-cargadas.log 460 KB 01/17/2018 Cesar Martinez Izquierdo
gvSIG-environ.info 22.2 KB 01/17/2018 Cesar Martinez Izquierdo
gvSIG-launcher-correcto.log 54 KB 01/17/2018 Cesar Martinez Izquierdo
gvSIG-correcto.log 421 KB 01/17/2018 Cesar Martinez Izquierdo
